Kerbal Space Program - Bug #18117

Flicker in icons and boarders within tracking station
03/19/2018 12:28 AM - jclovis3

Status: Closed Start date: 03/19/2018
Severity: Low % Done: 100%
Assignee:

Category: Camera

Target version:

Version: 1.41 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Only noticed this in 1.4.1, but when | go into the tracking station | notice intermittent (nasty word in programming, | know) flickering of
the boarders and buttons within the tracking station. The timing is seemingly random but isn't necessarily linked to mouse movement
or where you move the camera. I've reduced the view to one icon type (ships or stations) and see the same. It isn't even easy to
reproduce after a while. Seems more common within the first few minutes of loading the screen. | use ship icons for any vessel with
maneuvers since we don't have any other filter for those yet and station or base icons for vessels waiting in orbit or landed just so |
can easily track the maneuver timing. Most of the flickering seems to be when using the ship icon with all the maneuvers listed. After

several shifts in focus between different ships and planets, the flickering seems to stabilize.

| recently had some debris that should have been orbiting Eve but was listed as landed on the sun and it was causing hanging in the
application after | deleted them from the tracking station. One by one | had to delete the debris, then kill the task with Task Manager
and reload the game to get to the next until they were all gone. | don't know if this is related or not, but the flickering has been around
for several days I'm sure of. I've attached a copy of my most recent Persistent file for analysis and testing in case there's something

wrong with some of the save data causing this glitch.

No mods, no DLC (yet).

History

#1 - 05/08/2018 11:18 AM - jclovis3

| caught a video of this event as well: https://youtu.be/qL9SssP8AFQ
Now still applicable in 1.4.3.

#2 - 06/24/2019 11:48 AM - Robert.Keech
- Status changed from New to Updated
- % Done changed from 0 to 10

Issue no longer occurs

#3 - 06/24/2019 11:48 AM - Robert.Keech
- Status changed from Updated to Resolved
- % Done changed from 10 to 100

#4 - 06/24/2019 05:37 PM - chris.fulton

- Status changed from Resolved to Closed

Files

Boarders and buttons visible.png 688 KB 03/19/2018 jclovis3
Boarders and buttons gone.png 688 KB 03/19/2018 jclovis3
persistent.zip 1.01 MB 03/19/2018 jclovis3
